module io.file {
   type(Filename) =
      kernel:file_type(Filename).

   open_read(Filename, Stream) :-
      kernel:io_open_read(Filename, X),
      io.stream:of_kernel_in(X, Stream).

   open_write(Filename, Stream) :-
      kernel:io_open_write(Filename, X),
      io.stream:of_kernel_out(X, Stream).

   delete(Filename) :-
      kernel:file_delete(Filename).
}
